{% extends 'pages/pages_base.html.twig' %}

{% block title %} {{ title }} {% endblock %}

{% block pages_body %}

    <div class="Shopping-cart-area ptb-100">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="pg___title">
                        <h2>Shopping Cart</h2>
                    </div>
                    <form action="#">
                        <div class="table-content table-responsive">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th class="anadi-product-remove">remove</th>
                                        <th class="anadi-product-thumbnail">Image</th>
                                        <th class="cart-product-name">Product</th>
                                        <th class="anadi-product-price">Price</th>
                                        <th class="anadi-product-quantity">Discount</th>
                                        <th class="anadi-product-subtotal">Final Price</th>
                                    </tr>
                                </thead>
                                <tbody>
                                {% set totalPrice = 0 %}
                                {% for order in orders %}
                                    <tr data-order-{{ order.id }}>
                                        <td class="anadi-product-remove">
                                            <a href="#" class="delete_order" data-delete-url="{{ path('app_cart_order_delete',{'id':order.id}) }}" data-get-id="{{ order.id }}">
                                                <i class="fa fa-times"></i>
                                            </a>
                                        </td>
                                        <td class="anadi-product-thumbnail">
                                            <a href="{{ path('app_product_show',{'slug':order.product.slug}) }}">
                                                <img src="{{ asset(order.product.imagePath) }}" alt="{{ order.product.title }}" width="100">
                                            </a>
                                        </td>
                                        <td class="anadi-product-name">
                                            <a href="{{ path('app_product_show',{'slug':order.product.slug}) }}">{{ order.product.title }}</a>
                                        </td>
                                        <td class="anadi-product-price">
                                            <span class="amount">$<span class="money">{{ order.price }}</span></span>
                                        </td>
                                        <td class="anadi-product-price">
                                            <span class="amount"><span class="percent">{{ order.discount }}</span></span>
                                        </td>
                                        <td class="product-subtotal">
                                            <span class="amount">$<span class="money">{{ order.finalPrice }}</span></span>
                                        </td>
                                    </tr>
                                    {% set totalPrice = totalPrice + order.finalPrice %}
                                {% else %}
                                    <tr>
                                        <td colspan="6">Go and order before it's too late</td>
                                    </tr>
                                {% endfor %}
                                    <tr style="display: none" data-empty-tr>
                                        <td colspan="6">Go and order before it's too late</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                        <div class="row" data-total-wrap>
                            <div class="{% if orders %} col-md-5 {% else %} col-md-12 {% endif %} ml-auto">
                                <div class="cart-page-total">
                                    {% if orders %}
                                    <h2>Cart totals</h2>
                                    <ul>
                                        <li>Total
                                            <span>$<span class="money">{{ totalPrice }}</span></span>
                                        </li>
                                    </ul>
                                    <a href="{{ path('app_cart_checkout') }}">Proceed to checkout</a>
                                    {% else %}
                                        <a href="{{ path('app_product_index') }}">Go for shopping</a>
                                    {% endif %}
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        $(document).ready(function () {
            $('.delete_order').click(function (event) {
                event.preventDefault();
                let deleteUrl = $(this).data('delete-url');
                let order_id = $(this).data('get-id');

                swal({
                    title: "Are you sure?",
                    text: "Are you sure want to delete order?",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                })
                    .then((willDelete) => {
                        if (willDelete) {
                            $.ajax({
                                url: deleteUrl
                            }).then(function (data) {
                                $('[data-order-'+order_id+']').fadeOut();
                                if(data.orders == 0){
                                    $('[data-empty-tr]').fadeIn();
                                    $('[data-total-wrap]').fadeOut();
                                }
                                swal("Your order has been deleted!", {
                                    icon: "success",
                                });
                            })
                        }
                    });
            })
        })
    </script>
{% endblock %}